package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 黄浦-患者-卡号(HpPatientCard)表实体类
 *
 * @author F_xh
 * @since 2022-07-14 11:00:02
 */
@Data
@SuppressWarnings("serial")
@EqualsAndHashCode(callSuper = true)
public class HpPatientCard extends Model<HpPatientCard> {
    private String id;
    private Long patientId;
    private Long userId;
    private String cardNo;
    private String cardType;
    private String hospitalId;

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}